SwingTrayIcon (SelekTOR Java Documentation)
Date: 2018-05-25

lib

## Class SwingTrayIcon

- java.lang.Object
- - lib.SwingTrayIcon

-     public final class SwingTrayIcon
      extends java.lang.Object

  Author:
    Alistair Neil

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwingTrayIcon(java.awt.GraphicsConfiguration gc, java.lang.String resourcepath)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMouseListener(java.awt.event.MouseListener ml)` Add a mouse listener
    `void` | `disable()`
    `void` | `displayMessage(java.lang.String title, java.lang.String body)` Display desktop message (Windows only)
    `void` | `dispose()`
    `boolean` | `isLoaded()` Is tray icon loaded
    `boolean` | `isSupported()`
    `void` | `load()` Load tray icon
    `void` | `setInfoTip(java.lang.String text)` Set info tip text
    `void` | `setTrayPopupMenu(TrayPopupMenu tpm)` Set tray right click popup
    `void` | `unload()` Unload Tray icon

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwingTrayIcon

          public SwingTrayIcon(java.awt.GraphicsConfiguration gc,
                               java.lang.String resourcepath)

  - ### Method Detail

    - #### dispose

          public void dispose()

    - #### disable

          public void disable()

    - #### setTrayPopupMenu

          public void setTrayPopupMenu(TrayPopupMenu tpm)

      Set tray right click popup
      Parameters:
        `tpm` -

    - #### setInfoTip

          public void setInfoTip(java.lang.String text)

      Set info tip text
      Parameters:
        `text` -

    - #### displayMessage

          public void displayMessage(java.lang.String title,
                                     java.lang.String body)

      Display desktop message (Windows only)
      Parameters:
        `title` -
        `body` -

    - #### load

          public void load()

      Load tray icon

    - #### unload

          public void unload()

      Unload Tray icon

    - #### addMouseListener

          public void addMouseListener(java.awt.event.MouseListener ml)

      Add a mouse listener
      Parameters:
        `ml` -

    - #### isLoaded

          public boolean isLoaded()

      Is tray icon loaded
      Returns:
        ture if it is

    - #### isSupported

          public boolean isSupported()